dbDataType,MariaDBConnection-method {RMariaDB} | R Documentation

## Determine the SQL Data Type of an S object

### Description

This method is a straight-forward implementation of the corresponding generic function.

### Usage

    ## S4 method for signature 'MariaDBConnection'
    dbDataType(dbObj, obj, ...)

    ## S4 method for signature 'MariaDBDriver'
    dbDataType(dbObj, obj, ...)

### Arguments

`dbObj` | A MariaDBDriver or MariaDBConnection object.
`obj` | R/S-Plus object whose SQL type we want to determine.
`...` | any other parameters that individual methods may need.

### Examples

    dbDataType(RMariaDB::MariaDB(), "a")
    dbDataType(RMariaDB::MariaDB(), 1:3)
    dbDataType(RMariaDB::MariaDB(), 2.5)

[Package RMariaDB version 1.0.6 Index]